package router

import (
	"gas-cylinder-api/app/admin/controller"
	"gas-cylinder-api/common/actions"
	"github.com/gin-gonic/gin"
	jwt "gogs.baozhida.cn/zoie/OAuth-core/pkg/jwtauth"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerFillCheckRouter)
}

// 需认证的路由代码
func registerFillCheckRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	cont := controller.FillCheckController{}
	r := v1.Group("/fill-check").Use(authMiddleware.MiddlewareFunc()).Use(actions.PermissionAction())
	{
		r.GET("", cont.GetPage)
		r.GET("/:id", cont.Get)
		r.POST("", cont.Insert)
		//r.PUT("", cont.Update)
		//r.DELETE("", cont.Delete)
	}
}
