package router

import (
	"gas-cylinder-api/app/admin/controller"
	"gas-cylinder-api/common/actions"
	"github.com/gin-gonic/gin"
	jwt "gogs.baozhida.cn/zoie/OAuth-core/pkg/jwtauth"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerFillDataRouter)
	routerNoCheckRole = append(routerNoCheckRole, registerFillDataRouter2)
}

// 需认证的路由代码
func registerFillDataRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	cont := controller.FillDataController{}
	r := v1.Group("/fill_data").Use(authMiddleware.MiddlewareFunc()).Use(actions.PermissionAction())
	{
		r.GET("", cont.GetPage)
		r.GET("/station", cont.StationList)
		r.GET("/user", cont.UserList)
	}
}

// 需认证的路由代码
func registerFillDataRouter2(v1 *gin.RouterGroup) {
	cont := controller.FillDataController{}
	r := v1.Group("/fill_data")
	{
		r.POST("", cont.Insert)
	}
}
