package router

import (
	"gas-cylinder-api/app/admin/controller"
	"gas-cylinder-api/common/actions"
	"github.com/gin-gonic/gin"
	jwt "gogs.baozhida.cn/zoie/OAuth-core/pkg/jwtauth"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerGasCylinderRouter)
	routerNoCheckRole = append(routerNoCheckRole, registerGasCylinderRouterRouter2)

}

// 派费管理
// 需认证的路由代码
func registerGasCylinderRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	cont := controller.GasCylinderController{}
	r := v1.Group("/gas-cylinder").Use(authMiddleware.MiddlewareFunc()).Use(actions.PermissionAction())
	{
		r.GET("", cont.GetPage)
		r.GET("/:inner_code", cont.Get)
		r.POST("", cont.Insert)
		r.PUT("", cont.Update)
		r.DELETE("", cont.Delete)
		r.POST("/import", cont.Import)
		r.POST("/export-template", cont.ExportTemplate)
		r.GET("/status", cont.Status)
	}
}

// 需认证的路由代码
func registerGasCylinderRouterRouter2(v1 *gin.RouterGroup) {
	cont := controller.GasCylinderController{}
	r := v1.Group("/gas-cylinder")
	{
		r.GET("/uid/:chipUid", cont.GetByUid)
		r.POST("/mock", cont.Mock)
	}
}
