package router

import (
	"gas-cylinder-api/app/admin/controller"
	"gas-cylinder-api/common/actions"
	"github.com/gin-gonic/gin"
	jwt "gogs.baozhida.cn/zoie/OAuth-core/pkg/jwtauth"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerInspectRecordRouter)
}

// 需认证的路由代码
func registerInspectRecordRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	cont := controller.InspectRecordController{}
	r := v1.Group("/inspect_record").Use(authMiddleware.MiddlewareFunc()).Use(actions.PermissionAction())
	{
		r.GET("", cont.GetPage)
		r.GET("/:id", cont.Get)
		r.GET("/order", cont.GetByOrder)
		r.POST("", cont.Insert)
		r.PUT("", cont.Update)
		//r.DELETE("", cont.Delete)
	}
}
