package router

import (
	"gas-cylinder-api/app/admin/controller"
	"gas-cylinder-api/common/actions"
	"github.com/gin-gonic/gin"
	jwt "gogs.baozhida.cn/zoie/OAuth-core/pkg/jwtauth"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerOrderRouter)
}

// 需认证的路由代码
func registerOrderRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	cont := controller.OrderController{}
	r := v1.Group("/order").Use(authMiddleware.MiddlewareFunc()).Use(actions.PermissionAction())
	{
		r.GET("", cont.GetPage)
		r.GET("/:id", cont.Get)
		r.GET("/delivery", cont.GetDeliveryPage) // 送气员订单列表
		r.POST("", cont.Insert)
		r.PUT("", cont.Update)
		r.POST("/cancel", cont.Cancel)
		r.POST("/delivery", cont.Delivery)
		r.PUT("/state", cont.UpdateState) // 修改订单状态
		r.DELETE("", cont.Delete)
	}
}
