package router

import (
	"gas-cylinder-api/app/admin/controller"
	"gas-cylinder-api/common/actions"
	"github.com/gin-gonic/gin"
	jwt "gogs.baozhida.cn/zoie/OAuth-core/pkg/jwtauth"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerRealFillDataRouter)
	routerNoCheckRole = append(routerNoCheckRole, registerRealFillDataRouter2)
}

// 需认证的路由代码
func registerRealFillDataRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	cont := controller.RealFillDataController{}
	r := v1.Group("/real_fill_data").Use(authMiddleware.MiddlewareFunc()).Use(actions.PermissionAction())
	{
		r.GET("", cont.GetPage)
	}
}

// 需认证的路由代码
func registerRealFillDataRouter2(v1 *gin.RouterGroup) {
	cont := controller.RealFillDataController{}
	r := v1.Group("/real_fill_data")
	{
		r.POST("", cont.Insert)
	}
}
