package router

import (
	"gas-cylinder-api/app/admin/controller"
	"gas-cylinder-api/common/actions"
	"github.com/gin-gonic/gin"
	jwt "gogs.baozhida.cn/zoie/OAuth-core/pkg/jwtauth"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerTruckEnterpriseRouter)
	routerCheckRole = append(routerCheckRole, registerStoreRouter)
}

// 需认证的路由代码
func registerTruckEnterpriseRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	cont := controller.TruckEnterpriseController{}

	r := v1.Group("/truck-enterprise").Use(authMiddleware.MiddlewareFunc()).Use(actions.PermissionAction())
	{
		r.GET("", cont.GetPage)
		r.GET("/:id", cont.Get)
		r.POST("", cont.Insert)
		r.PUT("", cont.Update)
		r.DELETE("", cont.Delete)
		r.POST("/enter", cont.Enter)
	}
}

// 需认证的路由代码
func registerStoreRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	cont := controller.StoreController{}

	r := v1.Group("/store").Use(authMiddleware.MiddlewareFunc()).Use(actions.PermissionAction())
	{
		r.GET("", cont.GetPage)
		r.GET("/delivery", cont.GetDeliveryPage) // 配送门店 当前门店及子门店
		r.GET("/:id", cont.Get)
		r.POST("", cont.Insert)
		r.PUT("", cont.Update)
		r.DELETE("", cont.Delete)
		r.POST("/enter", cont.Enter)
		r.GET("/all", cont.GetAllPage)
		r.GET("/all2", cont.GetAllPageByUser)
	}

}
