package dto

// 小程序客户登录
type AppletCustomerLoginReq struct {
	Phone      string `json:"phone" vd:"len($)>0;msg:'手机号不能为空'"`   // 手机号
	Password   string `json:"password" vd:"len($)>0;msg:'密码不能为空'"` // 密码
	VerifyCode string `json:"verifyCode"`                          // 验证码
}
type AppletCustomerWxLoginReq struct {
	Phone string `json:"phone"` // 手机号
	Code  string `json:"code"`  // 密码
}
type AppletCustomerRegisterReq struct {
	Type       int    `json:"type"`       // 类型  0-商户 1-私人
	Phone      string `json:"phone"`      // 手机号
	Password   string `json:"password"`   // 密码
	VerifyCode string `json:"verifyCode"` // 验证码

}

type AppletCustomerLoginResp struct {
	Openid      string `json:"openid"`      //用户唯一标识
	Session_key string `json:"session_key"` // 会话密钥 session_key 是对用户数据进行 加密签名 的密钥
	Unionid     string `json:"unionid"`     // 用户在开放平台的唯一标识符，若当前小程序已绑定到微信开放平台帐号下会返回
	Errcode     int    `json:"errcode"`     //错误码： -1、0、40029、 45011、 40226  （具体说明，请阅读 接口文档）
	Errmsg      string `json:"errmsg"`      //错误信息
}
