package dto

import (
	"gas-cylinder-api/common/dto"
)

type OperationLogGetPageReq struct {
	dto.Pagination `search:"-"`
	OptType        int    `form:"optType" search:"type:exact;column:opt_type;table:operation_log"`            // 气瓶流转步骤
	InnerCode      string `form:"innerCode" search:"type:contains;column:inner_code;table:operation_log"`     //
	OptStartTime   string `form:"optStartTime" search:"type:gte;column:opt_time;table:operation_log"`         // 操作开始时间
	OptEndTime     string `form:"optEndTime" search:"type:lte;column:opt_time;table:operation_log"`           // 操作结束时间
	BatchNumber    string `form:"batchNumber" search:"type:contains;column:batch_number;table:operation_log"` // 操作结束时间
	OperationLogOrder
}
type OperationLogOrder struct {
	CreatedAtOrder string `search:"type:order;column:created_at;table:operation_log" form:"createdAtOrder" default:"desc"`
}

func (m *OperationLogGetPageReq) GetNeedSearch() interface{} {
	return *m
}

type OperationLogInsertReq struct {
	Id                int      `json:"id" comment:"编码" swaggerignore:"true"` // 编码
	ChipUidList       []string `json:"chipUidList"`                          // 高频编码列表
	OptType           string   `json:"optType"`                              // 气瓶流转步骤
	CurrentEnterprise string   `json:"currentEnterprise"`                    // 当前企业ID OptType=25 OptType=27 时必填
	UserId            int      `json:"userId"`                               // 调拨用户ID
	Type              int      `json:"type"`                                 // 录入类型 1-扫码 2 调拨
}

func (s *OperationLogInsertReq) GetId() interface{} {
	return s.Id
}

type OperationLogInsertForGasStationReq struct {
	Id      int    `json:"id" comment:"编码" swaggerignore:"true"` // 编码
	ChipUid string `json:"chipUid"`                              // 高频编码
	Sn      string `json:"sn"`                                   // 设备标签
}

func (s *OperationLogInsertForGasStationReq) GetId() interface{} {
	return s.Id
}

type OperationLogGetReq struct {
	Id int `uri:"id"`
}

func (s *OperationLogGetReq) GetId() interface{} {
	return s.Id
}

type OperationLogCheckReq struct {
	ChipUid string `json:"chipUid"` // 高频编码列表
	OptType string `json:"optType"` // 气瓶流转步骤
}
