package dto

import (
	"gas-cylinder-api/common/dto"
	common "gas-cylinder-api/common/model"
)

type RealFillDataGetPageReq struct {
	dto.Pagination `search:"-"`
	GunCode        int `form:"gunCode" search:"type:exact;column:state;table:real_fill_data"` // 充装枪编码
	RealFillDataOrder
}

type RealFillDataOrder struct {
	CreatedAtOrder string `search:"type:order;column:created_at;table:real_fill_data" form:"createdAtOrder" default:"desc"`
}

func (m *RealFillDataGetPageReq) GetNeedSearch() interface{} {
	return *m
}

type RealFillDataInsertReq struct {
	Id               int    `json:"id" comment:"编码" swaggerignore:"true"` // 编码
	ScanGunCode      string `json:"scanGunCode"`
	ChipID           string `json:"chipID"`
	common.ControlBy `swaggerignore:"true"`
	common.DeptBy    `swaggerignore:"true"`
}

// GetId 获取数据对应的ID
func (s *RealFillDataInsertReq) GetId() interface{} {
	return s.Id
}
