package db

import (
	"go.uber.org/zap"

	"gas-cylinder-api/app/admin/model"
	jobModel "gas-cylinder-api/app/jobs/model"
)

// 执行数据迁移
func AutoMigrateDB() {
	//自动迁移模式
	err := DB.Set("gorm:table_options", "charset=utf8mb4").
		AutoMigrate(
			&jobModel.SysJob{},
			&model.SysUser{},
			&model.SysRole{},
			&model.SysRoleMenu{},
			&model.SysMenu{},
			&model.SysDept{},
			&model.SysLoginLog{},
			&model.SysOperaLog{},
			&model.CarInfo{},
			&model.Customer{},
			&model.Goods{},
			&model.DispatchCost{},
			&model.GasCylinderSpec{},
			&model.Warehouse{},
			&model.Order{},
			&model.Address{},
			&model.InspectRecord{},
			&model.FillGun{},
			&model.FillCheck{},
			&model.OperationLog{},
			&model.Device{},
			&model.RealFillData{},
			&model.GasCylinder{},
			&model.FillData{},
			&model.TruckUserCarInfo{},
			&model.CustomerGasCylinder{},
			&model.GasCylinderAllot{},
			&model.GasCylinderStatus{},
			&model.InspectExpand{},
		)
	if err != nil {
		zap.L().Panic("migrate db fail", zap.Error(err))
	}
}
